/*
 * private.h
 */

#ifndef _PRIVATE_H_
#define _PRIVATE_H_

/* This is just a temporary place for some stuff */

#ifndef __USE_INLINE__
#define __USE_INLINE__
#endif

#include <stdio.h>
#include <stdlib.h>

#include "attach.h"
#include "autostart.h"
#include "drive.h"
#include "drivecpu.h"
#include "vsync.h"
#include "machine.h"
#include "ui.h"
#include "resources.h"
#include "videoarch.h"

#include "timer.h"

#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/lists.h>
#include <exec/memory.h>

#include <proto/exec.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/Picasso96API.h>
#include <proto/dos.h>
#include <proto/gadtools.h>
#include <proto/asl.h>

struct os_s {
  struct Screen *screen;
  struct Window *window;
  int visible_width, visible_height;
  struct BitMap *window_bitmap;
  unsigned long pixfmt;
  unsigned int bpr, bpp;
  char *window_name;
  APTR VisualInfo;
  struct Menu *menu;
  char window_title[1024];
  int has_statusbar;
  int pens[16];
  struct TextFont *font;
  int disk_width, tape_width;
  int waiting_for_resize;
};

extern video_canvas_t *canvaslist;

extern timer_t *timer;

typedef struct ui_menu_toggle_s {
    /* Name of resource.  */
    const char *name;
    /* IDM of the corresponding menu item.  */
    int idm;
} ui_menu_toggle_t;

typedef struct ui_res_possible_values_s {
    int value;
    int idm; /* The last idm has to be zero.  */
} ui_res_possible_values_t;

typedef struct ui_res_value_list_s {
    const char *name;
    const ui_res_possible_values_t *vals;
    int default_idm;
} ui_res_value_list_t;

typedef int (*ui_machine_specific_t) (video_canvas_t *canvas, int idm);

extern void ui_register_menu_layout(const struct NewMenu *menu);
extern void ui_register_machine_specific(ui_machine_specific_t func);
extern void ui_register_menu_toggles(const ui_menu_toggle_t *toggles);
extern void ui_register_res_values(const ui_res_value_list_t *valuelist);

int ui_menu_create(video_canvas_t *canvas);
int ui_menu_update(video_canvas_t *canvas);
int ui_menu_handle(video_canvas_t *canvas, int idm);
int ui_menu_destroy(video_canvas_t *canvas);

#endif /* _PRIVATE_H_ */

